Subject: pkg/13663: Package lang/perl5-base does not build on port-vax
To: None <>
From: None <>
List: netbsd-bugs
Date: 08/09/2001 01:24:36
>Number:         13663
>Category:       pkg
>Synopsis:       Package perl5-base does not build on port-vax
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Aug 08 22:21:00 PDT 2001
>Originator:     John Klos
>Release:        NetBSD 1.5.1
Sixgirls Computing Labs
System: NetBSD gaia 1.5.1 NetBSD 1.5.1 (GAIA) #0: Fri Jul 20 16:05:31 EDT 2001 jean@gaia:/usr/src/sys/arch/vax/compile/GAIA vax
	 Package perl5-base requires floating point support and looks for machine/ieeefp.h, but port-vax's floating point is not ieee compliant. This was fixed from Perl 5.6.0 to 5.6.1, but is broken again for Perl 5.6.1nb1:
===> real-build [perl-base-5.6.1nb1] ===> Building for perl-base-5.6.1nb1
`sh  cflags miniperlmain.o` -DPIC -fPIC miniperlmain.c
CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing -I/usr/local/include -O2 
In file included from perl.h:1182,
		from miniperlmain.c:12:
/usr/include/ieeefp.h:12: machine/ieeefp.h: No such file or directory
*** Error code 1

	 cd /usr/pkgsrc/lang/perl5-base && make
	 Not sure at this point.